Package: org.codehaus.groovy.tools

## [Java] Class GroovyClass

- org.codehaus.groovy.tools.GroovyClass

-     public class GroovyClass
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovyClass[]` | `EMPTY_ARRAY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyClass(String name, byte[] bytes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public byte[]` | `getBytes()`
    `` | `public String` | `getName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final GroovyClass[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### public GroovyClass(String name, byte[] bytes)

  - ### Method Detail

    - #### public byte[] getBytes()

    - #### public String getName()